org.jgrapht.alg

## Class KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation.MatchExtender

- java.lang.Object
- - org.jgrapht.alg.KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation.MatchExtender

- Enclosing class:
    KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation<V,E>

      protected class KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation.MatchExtender
      extends Object

  Aggregates utilities to extend matching

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `extend(int initialCol)` Performs DFS to seek after matching-augmenting path starting at the initial-vertex

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### extend

          public boolean extend(int initialCol)

      Performs DFS to seek after matching-augmenting path starting at the initial-vertex
      Returns:
        true when some augmenting-path found, false otherwise

Copyright © 2016. All rights reserved.